--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

DELAY = 0.05

-- create an new container
-- x, y, z, colormode, enable temperature
--c = dusty.newcontainer(70,50,5,COLOR,5)
c = dusty.newcontainer(24,30,10,COLOR,USETEMP)

dusty.internstep(false)
dusty.savealpha(false)

c:set_bound(B_BS,B_OUTFLOW)

c:set_timestep(0.5)
c:enable_bound(true)
c:enable_vort(false)
c:set_vort(0.05)
c:set_alphascale(0.7)
--c:set_alphascale(1.0)
c:set_dissipate(0.04)
c:set_densscale(1.0)

c:set_pathtrace(RUNGE)
--c:set_pathtrace(EULER)

c:rotate(0.4,0.5,1,0)

-- create some sourceobjects
-- x, y, z, name
s1 = c:newsource(12,1,5,"source1")
s1:set_force(0,3,0)
s1:set_dens(20,10,0)
s1:set_temp(35)

o1 = c:newobject(SPHERE,12,10,5,"object1")
o1:set_scale(2.0)

dusty.voxelize()

-- main loop
---------------
repeat

for i=4,20 do
	abort = dusty.delay(DELAY)
	if abort then break end
	s1:set_place(i,1,5)
	c:rotate(0.03,0.5,1,0)
	dusty.dostep()
	dusty.saveframe()
end

for i=20,4,-1 do
	abort = dusty.delay(DELAY)
	if abort then break end
	s1:set_place(i,1,5)
	c:rotate(0.03,0.5,1,0)
	dusty.dostep()
	dusty.saveframe()
end

until abort == true
print("script end")

